Re: Lyx 1.6.6.1 Compilation problems on Fedora 13

2010-05-31 Thread Rex Dieter
José Matos wrote:

 On Sunday 30 May 2010 08:39:59 Alok Shukla wrote:
 Dear All,
 
   After configuring lyx-1.6.6.1 properly on my Fedora 13 laptop
   when I run the make command, the compilation doesn't
   get completed. Instead, it ends with the error message (relevant
   portions
 include):
 
g++ -O2 -o lyx main.o ISpell.o SpellBase.o BiblioInfo.o Box.o
 Dimension.o PrinterParams.o Thesaurus.o  ./.libs/liblyxcore.a
 ./.libs/liblyxmathed.a ./.libs/liblyxinsets.a
 frontends/.libs/liblyxfrontends.a
 frontends/qt4/.libs/liblyxqt4.a ./.libs/liblyxgraphics.a
 support/.libs/liblyxsupport.a ../boost/.libs/liblyxboost.a -lAiksaurus
 -lz -lQtGui -lQtCore
 /usr/bin/ld: frontends/qt4/.libs/liblyxqt4.a(GuiWorkArea.o): undefined
 reference to symbol 'XEventsQueued'
 /usr/bin/ld: note: 'XEventsQueued' is defined in DSO
 /usr/lib64/libX11.so.6 so try adding it to the linker command line
 /usr/lib64/libX11.so.6: could not read symbols: Invalid operation
 collect2: ld returned 1 exit status
 make[4]: *** [lyx] Error 1
 
 I will appreciate any help in this matter.
 
 The short answer is the you need to add -lX11 to the line in
 src/frontends/qt4/Makefile.am
 
 liblyxqt4_la_LIBADD = $(QT4_LIB)
 
 goes to
 
 liblyxqt4_la_LIBADD = $(QT4_LIB) -lX11
 
 This is not the right (although it is the right idea) but for the moment I
 am busy and I can not add further to this work.
 
 Tomorrow or so I will pick this again to build 1.6.6.1 o F-13 (for
 updates- testing).
 
 The right fix would be to make this as
 
 liblyxqt4_la_LIBADD = $(QT4_LIB) $(X_LIBS)
 
 but then X_LIBS is not set at this point...

Yep, my finding too, here's the start of the patch I was working on,
http://cvs.fedoraproject.org/viewvc/rpms/lyx/F-13/lyx-1.6.6-
ImplicitDSOLinking_X11.patch

and build with
make X_LIBS='-lX11'

test build so far,
http://koji.fedoraproject.org/koji/buildinfo?buildID=175673

-- Rex

-- Rex





Re: Lyx 1.6.6.1 Compilation problems on Fedora 13

2010-05-31 Thread Rex Dieter
José Matos wrote:

 On Sunday 30 May 2010 08:39:59 Alok Shukla wrote:
 Dear All,
 
   After configuring lyx-1.6.6.1 properly on my Fedora 13 laptop
   when I run the make command, the compilation doesn't
   get completed. Instead, it ends with the error message (relevant
   portions
 include):
 
g++ -O2 -o lyx main.o ISpell.o SpellBase.o BiblioInfo.o Box.o
 Dimension.o PrinterParams.o Thesaurus.o  ./.libs/liblyxcore.a
 ./.libs/liblyxmathed.a ./.libs/liblyxinsets.a
 frontends/.libs/liblyxfrontends.a
 frontends/qt4/.libs/liblyxqt4.a ./.libs/liblyxgraphics.a
 support/.libs/liblyxsupport.a ../boost/.libs/liblyxboost.a -lAiksaurus
 -lz -lQtGui -lQtCore
 /usr/bin/ld: frontends/qt4/.libs/liblyxqt4.a(GuiWorkArea.o): undefined
 reference to symbol 'XEventsQueued'
 /usr/bin/ld: note: 'XEventsQueued' is defined in DSO
 /usr/lib64/libX11.so.6 so try adding it to the linker command line
 /usr/lib64/libX11.so.6: could not read symbols: Invalid operation
 collect2: ld returned 1 exit status
 make[4]: *** [lyx] Error 1
 
 I will appreciate any help in this matter.
 
 The short answer is the you need to add -lX11 to the line in
 src/frontends/qt4/Makefile.am
 
 liblyxqt4_la_LIBADD = $(QT4_LIB)
 
 goes to
 
 liblyxqt4_la_LIBADD = $(QT4_LIB) -lX11
 
 This is not the right (although it is the right idea) but for the moment I
 am busy and I can not add further to this work.
 
 Tomorrow or so I will pick this again to build 1.6.6.1 o F-13 (for
 updates- testing).
 
 The right fix would be to make this as
 
 liblyxqt4_la_LIBADD = $(QT4_LIB) $(X_LIBS)
 
 but then X_LIBS is not set at this point...

Yep, my finding too, here's the start of the patch I was working on,
http://cvs.fedoraproject.org/viewvc/rpms/lyx/F-13/lyx-1.6.6-
ImplicitDSOLinking_X11.patch

and build with
make X_LIBS='-lX11'

test build so far,
http://koji.fedoraproject.org/koji/buildinfo?buildID=175673

-- Rex

-- Rex





Re: Lyx 1.6.6.1 Compilation problems on Fedora 13

2010-05-31 Thread Rex Dieter
José Matos wrote:

> On Sunday 30 May 2010 08:39:59 Alok Shukla wrote:
>> Dear All,
>> 
>>   After configuring lyx-1.6.6.1 properly on my Fedora 13 laptop
>>   when I run the make command, the compilation doesn't
>>   get completed. Instead, it ends with the error message (relevant
>>   portions
>> include):
>> 
>>g++ -O2 -o lyx main.o ISpell.o SpellBase.o BiblioInfo.o Box.o
>> Dimension.o PrinterParams.o Thesaurus.o  ./.libs/liblyxcore.a
>> ./.libs/liblyxmathed.a ./.libs/liblyxinsets.a
>> frontends/.libs/liblyxfrontends.a
>> frontends/qt4/.libs/liblyxqt4.a ./.libs/liblyxgraphics.a
>> support/.libs/liblyxsupport.a ../boost/.libs/liblyxboost.a -lAiksaurus
>> -lz -lQtGui -lQtCore
>> /usr/bin/ld: frontends/qt4/.libs/liblyxqt4.a(GuiWorkArea.o): undefined
>> reference to symbol 'XEventsQueued'
>> /usr/bin/ld: note: 'XEventsQueued' is defined in DSO
>> /usr/lib64/libX11.so.6 so try adding it to the linker command line
>> /usr/lib64/libX11.so.6: could not read symbols: Invalid operation
>> collect2: ld returned 1 exit status
>> make[4]: *** [lyx] Error 1
>> 
>> I will appreciate any help in this matter.
> 
> The short answer is the you need to add -lX11 to the line in
> src/frontends/qt4/Makefile.am
> 
> liblyxqt4_la_LIBADD = $(QT4_LIB)
> 
> goes to
> 
> liblyxqt4_la_LIBADD = $(QT4_LIB) -lX11
> 
> This is not the right (although it is the right idea) but for the moment I
> am busy and I can not add further to this work.
> 
> Tomorrow or so I will pick this again to build 1.6.6.1 o F-13 (for
> updates- testing).
> 
> The right fix would be to make this as
> 
> liblyxqt4_la_LIBADD = $(QT4_LIB) $(X_LIBS)
> 
> but then X_LIBS is not set at this point...

Yep, my finding too, here's the start of the patch I was working on,
http://cvs.fedoraproject.org/viewvc/rpms/lyx/F-13/lyx-1.6.6-
ImplicitDSOLinking_X11.patch

and build with
make X_LIBS='-lX11'

test build so far,
http://koji.fedoraproject.org/koji/buildinfo?buildID=175673

-- Rex

-- Rex





Re: Lyx in Fedora 12

2010-01-14 Thread Rex Dieter
Pavel Sanda wrote:

 Rex Dieter wrote:
 I will commit the new Require to rawhide (and release there). The change
 will
 be propagated to F-11 and F-12 with LyX's the next stable release 1.6.6
 as there is no need to issue an update with this single change.

 Reminds me, for posterity, I'll brainstorm on ways to make GraphicsMagick
 work here too (and possibly allow for either it or ImageMagick satisfy
 this dependency).
 
 lyx should support GraphicsMagick out of the box, the only thing i dont
 remember is whether we backported it to branch.

oh, good to know. thanks!

-- Rex




Re: Lyx in Fedora 12

2010-01-14 Thread Rex Dieter
Pavel Sanda wrote:

 Rex Dieter wrote:
 I will commit the new Require to rawhide (and release there). The change
 will
 be propagated to F-11 and F-12 with LyX's the next stable release 1.6.6
 as there is no need to issue an update with this single change.

 Reminds me, for posterity, I'll brainstorm on ways to make GraphicsMagick
 work here too (and possibly allow for either it or ImageMagick satisfy
 this dependency).
 
 lyx should support GraphicsMagick out of the box, the only thing i dont
 remember is whether we backported it to branch.

oh, good to know. thanks!

-- Rex




Re: Lyx in Fedora 12

2010-01-14 Thread Rex Dieter
Pavel Sanda wrote:

> Rex Dieter wrote:
>>> I will commit the new Require to rawhide (and release there). The change
>>> will
>>> be propagated to F-11 and F-12 with LyX's the next stable release 1.6.6
>>> as there is no need to issue an update with this single change.
>>
>> Reminds me, for posterity, I'll brainstorm on ways to make GraphicsMagick
>> work here too (and possibly allow for either it or ImageMagick satisfy
>> this dependency).
> 
> lyx should support GraphicsMagick out of the box, the only thing i dont
> remember is whether we backported it to branch.

oh, good to know. thanks!

-- Rex




Re: Lyx in Fedora 12

2010-01-08 Thread Rex Dieter



On Fri, 8 Jan 2010, José Matos wrote:


On Thursday 07 January 2010 22:40:32 rgheck wrote:

But ImageMagick, if I'm not mistaken, is the default converter that we
use not just for output but also for converting images to formats we can
display in LyX. It's the converter of last resort. For that reason, it
seems to me to make good sense actually to require it.


I agree, it seems reasonable to require it. Any objection against it, Rex?


No objection.

-- Rex

Re: Lyx in Fedora 12

2010-01-08 Thread Rex Dieter

On 01/08/2010 10:55 AM, José Matos wrote:

On Friday 08 January 2010 13:58:39 Rex Dieter wrote:

No objection.



OK, thanks.

I will commit the new Require to rawhide (and release there). The change will
be propagated to F-11 and F-12 with LyX's the next stable release 1.6.6 as
there is no need to issue an update with this single change.


Reminds me, for posterity, I'll brainstorm on ways to make 
GraphicsMagick work here too (and possibly allow for either it or 
ImageMagick satisfy this dependency).


-- Rex


Re: Lyx in Fedora 12

2010-01-08 Thread Rex Dieter



On Fri, 8 Jan 2010, José Matos wrote:


On Thursday 07 January 2010 22:40:32 rgheck wrote:

But ImageMagick, if I'm not mistaken, is the default converter that we
use not just for output but also for converting images to formats we can
display in LyX. It's the converter of last resort. For that reason, it
seems to me to make good sense actually to require it.


I agree, it seems reasonable to require it. Any objection against it, Rex?


No objection.

-- Rex

Re: Lyx in Fedora 12

2010-01-08 Thread Rex Dieter

On 01/08/2010 10:55 AM, José Matos wrote:

On Friday 08 January 2010 13:58:39 Rex Dieter wrote:

No objection.



OK, thanks.

I will commit the new Require to rawhide (and release there). The change will
be propagated to F-11 and F-12 with LyX's the next stable release 1.6.6 as
there is no need to issue an update with this single change.


Reminds me, for posterity, I'll brainstorm on ways to make 
GraphicsMagick work here too (and possibly allow for either it or 
ImageMagick satisfy this dependency).


-- Rex


Re: Lyx in Fedora 12

2010-01-08 Thread Rex Dieter



On Fri, 8 Jan 2010, José Matos wrote:


On Thursday 07 January 2010 22:40:32 rgheck wrote:

But ImageMagick, if I'm not mistaken, is the "default converter" that we
use not just for output but also for converting images to formats we can
display in LyX. It's the "converter of last resort". For that reason, it
seems to me to make good sense actually to require it.


I agree, it seems reasonable to require it. Any objection against it, Rex?


No objection.

-- Rex

Re: Lyx in Fedora 12

2010-01-08 Thread Rex Dieter

On 01/08/2010 10:55 AM, José Matos wrote:

On Friday 08 January 2010 13:58:39 Rex Dieter wrote:

No objection.



OK, thanks.

I will commit the new Require to rawhide (and release there). The change will
be propagated to F-11 and F-12 with LyX's the next stable release 1.6.6 as
there is no need to issue an update with this single change.


Reminds me, for posterity, I'll brainstorm on ways to make 
GraphicsMagick work here too (and possibly allow for either it or 
ImageMagick satisfy this dependency).


-- Rex


Re: Feature request: Macro updates when definitions are pasted after use

2008-11-15 Thread Rex Dieter

José Matos wrote:

On Friday 14 November 2008 12:51:11 rgheck wrote:

Manoj Rajagopalan wrote:

Cool! i'm currently using v1.5.6 and a v1.6 update isn't yet available
for my platform (FC8 rpm)

Yes, but it's easy to compile yourself on FC8. Hard to know if 1.6 will
get packaged for FC8.


I suppose that it could but I will leave that for Rex to answer. :-)


A lyx-1.6.0 update for F-8 is in the works.

-- Rex



Re: lyx-1.6.0 fedora updates

2008-11-15 Thread Rex Dieter

Rex Dieter wrote:

José Matos wrote:

On Friday 14 November 2008 12:51:11 rgheck wrote:

Manoj Rajagopalan wrote:

Cool! i'm currently using v1.5.6 and a v1.6 update isn't yet available
for my platform (FC8 rpm)

Yes, but it's easy to compile yourself on FC8. Hard to know if 1.6 will
get packaged for FC8.


I suppose that it could but I will leave that for Rex to answer. :-)


A lyx-1.6.0 update for F-8 is in the works.


Pending some polish to the update text, the push request will be 
soonish.  See:

https://admin.fedoraproject.org/updates/lyx-1.6.0-1.fc8
https://admin.fedoraproject.org/updates/lyx-1.6.0-1.fc9

Feedback welcome.

-- Rex


Re: Feature request: Macro updates when definitions are pasted after use

2008-11-15 Thread Rex Dieter

José Matos wrote:

On Friday 14 November 2008 12:51:11 rgheck wrote:

Manoj Rajagopalan wrote:

Cool! i'm currently using v1.5.6 and a v1.6 update isn't yet available
for my platform (FC8 rpm)

Yes, but it's easy to compile yourself on FC8. Hard to know if 1.6 will
get packaged for FC8.


I suppose that it could but I will leave that for Rex to answer. :-)


A lyx-1.6.0 update for F-8 is in the works.

-- Rex



Re: lyx-1.6.0 fedora updates

2008-11-15 Thread Rex Dieter

Rex Dieter wrote:

José Matos wrote:

On Friday 14 November 2008 12:51:11 rgheck wrote:

Manoj Rajagopalan wrote:

Cool! i'm currently using v1.5.6 and a v1.6 update isn't yet available
for my platform (FC8 rpm)

Yes, but it's easy to compile yourself on FC8. Hard to know if 1.6 will
get packaged for FC8.


I suppose that it could but I will leave that for Rex to answer. :-)


A lyx-1.6.0 update for F-8 is in the works.


Pending some polish to the update text, the push request will be 
soonish.  See:

https://admin.fedoraproject.org/updates/lyx-1.6.0-1.fc8
https://admin.fedoraproject.org/updates/lyx-1.6.0-1.fc9

Feedback welcome.

-- Rex


Re: Feature request: Macro updates when definitions are pasted after use

2008-11-15 Thread Rex Dieter

José Matos wrote:

On Friday 14 November 2008 12:51:11 rgheck wrote:

Manoj Rajagopalan wrote:

Cool! i'm currently using v1.5.6 and a v1.6 update isn't yet available
for my platform (FC8 rpm)

Yes, but it's easy to compile yourself on FC8. Hard to know if 1.6 will
get packaged for FC8.


I suppose that it could but I will leave that for Rex to answer. :-)


A lyx-1.6.0 update for F-8 is in the works.

-- Rex



Re: lyx-1.6.0 fedora updates

2008-11-15 Thread Rex Dieter

Rex Dieter wrote:

José Matos wrote:

On Friday 14 November 2008 12:51:11 rgheck wrote:

Manoj Rajagopalan wrote:

Cool! i'm currently using v1.5.6 and a v1.6 update isn't yet available
for my platform (FC8 rpm)

Yes, but it's easy to compile yourself on FC8. Hard to know if 1.6 will
get packaged for FC8.


I suppose that it could but I will leave that for Rex to answer. :-)


A lyx-1.6.0 update for F-8 is in the works.


Pending some polish to the update text, the push request will be 
soonish.  See:

https://admin.fedoraproject.org/updates/lyx-1.6.0-1.fc8
https://admin.fedoraproject.org/updates/lyx-1.6.0-1.fc9

Feedback welcome.

-- Rex


Re: TeXLive rpm packages available to Fedora 8 users

2007-12-09 Thread Rex Dieter
Neal Becker wrote:

 Neal Becker wrote:
 
 Jürgen Spitzmüller wrote:
 
 Neal Becker wrote:
 In retrospect, the crash might be unrelated to the upgrade.
 
 Did you try my suggestion on bugzilla (uninstalling KDE4)?
 
 Jürgen
 
 Sorry, were you asking me?  I don't have kde4, but I do have the crash.
 
 Actually, I DO have kdelibs4-3.94.0-2.fc8.x86_64.

If you could try the kde-3.96 update coming to updates-testing soon, and let
folks know if it helps or not, it would be greatly appreciated.

Else, someone (hint hint, else will probably will fall to me or others of
fedora's KDE SIG  :)) is to pinpoint where in kdelibs the bug lies, and
report that upstream to bugs.kde.org.

-- Rex



Re: TeXLive rpm packages available to Fedora 8 users

2007-12-09 Thread Rex Dieter
Jürgen Spitzmüller wrote:

 Neal Becker wrote:
 It seems that removing kdelibs4 fixes it.
 
 So it's most likely a bug in Fedora's kdelibs4 package. Here's what I've
 just added to the RELEASE_NOTES of forthcoming LyX 1.5.3:

What is most likely, afaict, is that this is a bug in some version(s)
kdelibs4, and this isn't fedora (8) specific at all.

fwiw, fedora8 will be releasing an updated kde4 developer platform (based on
kde4rc1, kde-3.96) real soon, and hopefully, the issue will be addressed
there.

-- Rex



Re: TeXLive rpm packages available to Fedora 8 users

2007-12-09 Thread Rex Dieter
Neal Becker wrote:

 Neal Becker wrote:
 
 Jürgen Spitzmüller wrote:
 
 Neal Becker wrote:
 In retrospect, the crash might be unrelated to the upgrade.
 
 Did you try my suggestion on bugzilla (uninstalling KDE4)?
 
 Jürgen
 
 Sorry, were you asking me?  I don't have kde4, but I do have the crash.
 
 Actually, I DO have kdelibs4-3.94.0-2.fc8.x86_64.

If you could try the kde-3.96 update coming to updates-testing soon, and let
folks know if it helps or not, it would be greatly appreciated.

Else, someone (hint hint, else will probably will fall to me or others of
fedora's KDE SIG  :)) is to pinpoint where in kdelibs the bug lies, and
report that upstream to bugs.kde.org.

-- Rex



Re: TeXLive rpm packages available to Fedora 8 users

2007-12-09 Thread Rex Dieter
Jürgen Spitzmüller wrote:

 Neal Becker wrote:
 It seems that removing kdelibs4 fixes it.
 
 So it's most likely a bug in Fedora's kdelibs4 package. Here's what I've
 just added to the RELEASE_NOTES of forthcoming LyX 1.5.3:

What is most likely, afaict, is that this is a bug in some version(s)
kdelibs4, and this isn't fedora (8) specific at all.

fwiw, fedora8 will be releasing an updated kde4 developer platform (based on
kde4rc1, kde-3.96) real soon, and hopefully, the issue will be addressed
there.

-- Rex



Re: TeXLive rpm packages available to Fedora 8 users

2007-12-09 Thread Rex Dieter
Neal Becker wrote:

> Neal Becker wrote:
> 
>> Jürgen Spitzmüller wrote:
>> 
>>> Neal Becker wrote:
 In retrospect, the crash might be unrelated to the upgrade.
>>> 
>>> Did you try my suggestion on bugzilla (uninstalling KDE4)?
>>> 
>>> Jürgen
>> 
>> Sorry, were you asking me?  I don't have kde4, but I do have the crash.
> 
> Actually, I DO have kdelibs4-3.94.0-2.fc8.x86_64.

If you could try the kde-3.96 update coming to updates-testing soon, and let
folks know if it helps or not, it would be greatly appreciated.

Else, someone (hint hint, else will probably will fall to me or others of
fedora's KDE SIG  :)) is to pinpoint where in kdelibs the bug lies, and
report that upstream to bugs.kde.org.

-- Rex



Re: TeXLive rpm packages available to Fedora 8 users

2007-12-09 Thread Rex Dieter
Jürgen Spitzmüller wrote:

> Neal Becker wrote:
>> It seems that removing kdelibs4 fixes it.
> 
> So it's most likely a bug in Fedora's kdelibs4 package. Here's what I've
> just added to the RELEASE_NOTES of forthcoming LyX 1.5.3:

What is most likely, afaict, is that this is a bug in some version(s)
kdelibs4, and this isn't fedora (8) specific at all.

fwiw, fedora8 will be releasing an updated kde4 developer platform (based on
kde4rc1, kde-3.96) real soon, and hopefully, the issue will be addressed
there.

-- Rex



Re: Getting an rpm of lyx 1.4.4 to install

2007-04-06 Thread Rex Dieter
Dalton, John L (John) wrote:

 I am trying to install lyx1.4.4 on a redhat enterprise 4 ws -
 workstation.
 
 I got it down to one dependencies:
 
 # rpm -ivh lyx-1.4.4-1.el4.i386.rpm
 warning: lyx-1.4.4-1.el4.i386.rpm: V3 DSA signature: NOKEY, key ID
 ff6382fa
 error: Failed dependencies:
 lyx-frontend = 1.4.4 is needed by lyx-1.4.4-1.el4.i386
 
 I can only find the front-end in this xform package but that just
 requires
 Libraries - AND lyx itself to be installed!
 
 
 warning: lyx-xforms-1.4.4-1.el4.i386.rpm: V3 DSA signature: NOKEY, key
 ID ff6382fa
 error: Failed dependencies:
 libflimage.so.1 is needed by lyx-xforms-1.4.4-1.el4.i386
 libforms.so.1 is needed by lyx-xforms-1.4.4-1.el4.i386
 lyx = 1.4.4 is needed by lyx-xforms-1.4.4-1.el4.i386
 
 How can I get this frontend?

In the same place you downloaded lyx, you can download xforms, otherwise,
I'd recommend you install the lyx-qt frontend instead.

Hrm, I really should build lyx for epel...

-- Rex



Re: Getting an rpm of lyx 1.4.4 to install

2007-04-06 Thread Rex Dieter
Dalton, John L (John) wrote:

 I am trying to install lyx1.4.4 on a redhat enterprise 4 ws -
 workstation.
 
 I got it down to one dependencies:
 
 # rpm -ivh lyx-1.4.4-1.el4.i386.rpm
 warning: lyx-1.4.4-1.el4.i386.rpm: V3 DSA signature: NOKEY, key ID
 ff6382fa
 error: Failed dependencies:
 lyx-frontend = 1.4.4 is needed by lyx-1.4.4-1.el4.i386
 
 I can only find the front-end in this xform package but that just
 requires
 Libraries - AND lyx itself to be installed!
 
 
 warning: lyx-xforms-1.4.4-1.el4.i386.rpm: V3 DSA signature: NOKEY, key
 ID ff6382fa
 error: Failed dependencies:
 libflimage.so.1 is needed by lyx-xforms-1.4.4-1.el4.i386
 libforms.so.1 is needed by lyx-xforms-1.4.4-1.el4.i386
 lyx = 1.4.4 is needed by lyx-xforms-1.4.4-1.el4.i386
 
 How can I get this frontend?

In the same place you downloaded lyx, you can download xforms, otherwise,
I'd recommend you install the lyx-qt frontend instead.

Hrm, I really should build lyx for epel...

-- Rex



Re: Getting an rpm of lyx 1.4.4 to install

2007-04-06 Thread Rex Dieter
Dalton, John L (John) wrote:

> I am trying to install lyx1.4.4 on a redhat enterprise 4 ws -
> workstation.
> 
> I got it down to one dependencies:
> 
> # rpm -ivh lyx-1.4.4-1.el4.i386.rpm
> warning: lyx-1.4.4-1.el4.i386.rpm: V3 DSA signature: NOKEY, key ID
> ff6382fa
> error: Failed dependencies:
> lyx-frontend = 1.4.4 is needed by lyx-1.4.4-1.el4.i386
> 
> I can only find the front-end in this xform package but that just
> requires
> Libraries - AND lyx itself to be installed!
> 
> 
> warning: lyx-xforms-1.4.4-1.el4.i386.rpm: V3 DSA signature: NOKEY, key
> ID ff6382fa
> error: Failed dependencies:
> libflimage.so.1 is needed by lyx-xforms-1.4.4-1.el4.i386
> libforms.so.1 is needed by lyx-xforms-1.4.4-1.el4.i386
> lyx = 1.4.4 is needed by lyx-xforms-1.4.4-1.el4.i386
> 
> How can I get this frontend?

In the same place you downloaded lyx, you can download xforms, otherwise,
I'd recommend you install the lyx-qt frontend instead.

Hrm, I really should build lyx for epel...

-- Rex



Re: STIX fonts website up-dated 19 March

2007-03-22 Thread Rex Dieter
William Adams wrote:


 All glyphs have been created and they're now doing a design review
 ``...establishing consistent sizes for various glyphs based on square
 or circle designsConfidence remains high that we will release the
 fonts some time in April.''
...
 http://www.stixfonts.org/ for those not familiar w/ the project.

Based on their previous slippages, I'll believe it when I see it.  
That said, it certainly will be a good day when/if it does happen.

-- Rex





Re: STIX fonts website up-dated 19 March

2007-03-22 Thread Rex Dieter
William Adams wrote:


 All glyphs have been created and they're now doing a design review
 ``...establishing consistent sizes for various glyphs based on square
 or circle designsConfidence remains high that we will release the
 fonts some time in April.''
...
 http://www.stixfonts.org/ for those not familiar w/ the project.

Based on their previous slippages, I'll believe it when I see it.  
That said, it certainly will be a good day when/if it does happen.

-- Rex





Re: STIX fonts website up-dated 19 March

2007-03-22 Thread Rex Dieter
William Adams wrote:


> All glyphs have been created and they're now doing a design review
> ``...establishing consistent sizes for various glyphs based on square
> or circle designsConfidence remains high that we will release the
> fonts some time in April.''
...
> http://www.stixfonts.org/ for those not familiar w/ the project.

Based on their previous slippages, I'll believe it when I see it.  
That said, it certainly will be a good day when/if it does happen.

-- Rex





Re: LyX version 1.5.0 (beta 1) is released

2007-03-02 Thread Rex Dieter
José Matos wrote:

 Public release of LyX version 1.5.0 (beta 1)
 ===
 
 We are glad to announce the release of LyX 1.5.0 (beta 1).

Are target release date for 1.5.0 (final)?

-- Rex



Re: LyX version 1.5.0 (beta 1) is released

2007-03-02 Thread Rex Dieter
José Matos wrote:

 Public release of LyX version 1.5.0 (beta 1)
 ===
 
 We are glad to announce the release of LyX 1.5.0 (beta 1).

Are target release date for 1.5.0 (final)?

-- Rex



Re: LyX version 1.5.0 (beta 1) is released

2007-03-02 Thread Rex Dieter
José Matos wrote:

> Public release of LyX version 1.5.0 (beta 1)
> ===
> 
> We are glad to announce the release of LyX 1.5.0 (beta 1).

Are target release date for 1.5.0 (final)?

-- Rex



Re: Lyx 1.5.0 beta1 screen fonts antialiasing?

2007-02-28 Thread Rex Dieter
Shu Li wrote:

 I don't know if that's the problem of QT4 or Lyx

It's QT4

-- Rex 




Re: Lyx 1.5.0 beta1 screen fonts antialiasing?

2007-02-28 Thread Rex Dieter
Shu Li wrote:

 I don't know if that's the problem of QT4 or Lyx

It's QT4

-- Rex 




Re: Lyx 1.5.0 beta1 screen fonts antialiasing?

2007-02-28 Thread Rex Dieter
Shu Li wrote:

> I don't know if that's the problem of QT4 or Lyx

It's QT4

-- Rex 




Re: Workaround for audio dependency ?

2006-11-17 Thread Rex Dieter
PaulCampbell wrote:

 I installed lyx on RedHat EW 4

I'd shamlessly recommend using the lyx rpm provided by
http://kde-redhat.sf.net/

RPM(s) available from
http://apt.kde-redhat.org/apt/kde-redhat/redhat/4/i386/stable/RPMS/

-- Rex



Re: Workaround for audio dependency ?

2006-11-17 Thread Rex Dieter
PaulCampbell wrote:

 I installed lyx on RedHat EW 4

I'd shamlessly recommend using the lyx rpm provided by
http://kde-redhat.sf.net/

RPM(s) available from
http://apt.kde-redhat.org/apt/kde-redhat/redhat/4/i386/stable/RPMS/

-- Rex



Re: Workaround for audio dependency ?

2006-11-17 Thread Rex Dieter
PaulCampbell wrote:

> I installed lyx on RedHat EW 4

I'd shamlessly recommend using the lyx rpm provided by
http://kde-redhat.sf.net/

RPM(s) available from
http://apt.kde-redhat.org/apt/kde-redhat/redhat/4/i386/stable/RPMS/

-- Rex



Re: lyx 1.4.3 RPM for Mandriva 2006.

2006-10-10 Thread Rex Dieter
Rudi Gaelzer wrote:

 I managed to create a RPM package of lyx 1.4.3 for Mandriva Linux LE 2006.
  I followed the guidelines originally posted by Paul Smith and Christian
 Ridderström in:
 
 http://wiki.lyx.org/LyX/LyXOnRedHat

Now that lyx is in Fedora Extras (and has been for some time), is there
really much point in keeping that wiki page around?

-- Rex



Re: lyx 1.4.3 RPM for Mandriva 2006.

2006-10-10 Thread Rex Dieter
Rudi Gaelzer wrote:

 I managed to create a RPM package of lyx 1.4.3 for Mandriva Linux LE 2006.
  I followed the guidelines originally posted by Paul Smith and Christian
 Ridderström in:
 
 http://wiki.lyx.org/LyX/LyXOnRedHat

Now that lyx is in Fedora Extras (and has been for some time), is there
really much point in keeping that wiki page around?

-- Rex



Re: lyx 1.4.3 RPM for Mandriva 2006.

2006-10-10 Thread Rex Dieter
Rudi Gaelzer wrote:

> I managed to create a RPM package of lyx 1.4.3 for Mandriva Linux LE 2006.
>  I followed the guidelines originally posted by Paul Smith and Christian
> Ridderström in:
> 
> http://wiki.lyx.org/LyX/LyXOnRedHat

Now that lyx is in Fedora Extras (and has been for some time), is there
really much point in keeping that wiki page around?

-- Rex



Re: Math-intensive work in 1.4.x impossible.

2006-08-17 Thread Rex Dieter
Georg Baum wrote:

 The strange thing is that heavy math editing works rather well for me in
 1.4.3svn. What OS/distribution and what compiler do you use? We have
 reported crashes with gcc 4.1 that might be related to this, see e.g.
 http://bugzilla.lyx.org/show_bug.cgi?id=2677

fc5/gcc-4.1, so that may be it

-- Rex



Re: Math-intensive work in 1.4.x impossible.

2006-08-17 Thread Rex Dieter
Georg Baum wrote:

 The strange thing is that heavy math editing works rather well for me in
 1.4.3svn. What OS/distribution and what compiler do you use? We have
 reported crashes with gcc 4.1 that might be related to this, see e.g.
 http://bugzilla.lyx.org/show_bug.cgi?id=2677

fc5/gcc-4.1, so that may be it

-- Rex



Re: Math-intensive work in 1.4.x impossible.

2006-08-17 Thread Rex Dieter
Georg Baum wrote:

> The strange thing is that heavy math editing works rather well for me in
> 1.4.3svn. What OS/distribution and what compiler do you use? We have
> reported crashes with gcc 4.1 that might be related to this, see e.g.
> http://bugzilla.lyx.org/show_bug.cgi?id=2677

fc5/gcc-4.1, so that may be it

-- Rex



Re: lyx-1.4.1 install problem

2006-05-12 Thread Rex Dieter
Subir Singh Lamba wrote:

   I am trying to install lyx-1.4.1 on Redhat9. 

Or use the RPMS from kde-redhat,
http://apt.kde-redhat.org/apt/kde-redhat/redhat/9/RPMS.stable/

See http://kde-redhat.sf.net/ for details on apt/yum configuration.

You'll want to fetch install
lyx
and one of
lyx-qt, lyx-xforms (and xforms)

(Just noticed that the latest lyx in the repo for rh9 was still at 1.4.0, so
I queue'd up a 1.4.1 build, to to available shortly)

-- Rex



Re: lyx-1.4.1 install problem

2006-05-12 Thread Rex Dieter
Subir Singh Lamba wrote:

   I am trying to install lyx-1.4.1 on Redhat9. 

Or use the RPMS from kde-redhat,
http://apt.kde-redhat.org/apt/kde-redhat/redhat/9/RPMS.stable/

See http://kde-redhat.sf.net/ for details on apt/yum configuration.

You'll want to fetch install
lyx
and one of
lyx-qt, lyx-xforms (and xforms)

(Just noticed that the latest lyx in the repo for rh9 was still at 1.4.0, so
I queue'd up a 1.4.1 build, to to available shortly)

-- Rex



Re: lyx-1.4.1 install problem

2006-05-12 Thread Rex Dieter
Subir Singh Lamba wrote:

>   I am trying to install lyx-1.4.1 on Redhat9. 

Or use the RPMS from kde-redhat,
http://apt.kde-redhat.org/apt/kde-redhat/redhat/9/RPMS.stable/

See http://kde-redhat.sf.net/ for details on apt/yum configuration.

You'll want to fetch install
lyx
and one of
lyx-qt, lyx-xforms (and xforms)

(Just noticed that the latest lyx in the repo for rh9 was still at 1.4.0, so
I queue'd up a 1.4.1 build, to to available shortly)

-- Rex



Re: Lyx crash under Fedora Core 5

2006-04-12 Thread Rex Dieter
Jose' Matos wrote:

 On Monday 10 April 2006 10:55, John Pye wrote:
 Is this issue known about? Do I need to investigate further, or wait for
 a patch? :-)
 
   Yes, one temporary shortcut is to disable the display of images inside
   lyx.
 
 Preferences-Graphics-Display Graphics-Do not display
 
   Testing what it will become 1.4.1 (expect soon, like this week) does not
 show the problem. :-)

lyx-1.4.1 has been pushed to Fedora Extras.  Please upgrade, and
confirm/deny the continued existence of crash(es).

-- Rex



Re: Lyx crash under Fedora Core 5

2006-04-12 Thread Rex Dieter
Jose' Matos wrote:

 On Monday 10 April 2006 10:55, John Pye wrote:
 Is this issue known about? Do I need to investigate further, or wait for
 a patch? :-)
 
   Yes, one temporary shortcut is to disable the display of images inside
   lyx.
 
 Preferences-Graphics-Display Graphics-Do not display
 
   Testing what it will become 1.4.1 (expect soon, like this week) does not
 show the problem. :-)

lyx-1.4.1 has been pushed to Fedora Extras.  Please upgrade, and
confirm/deny the continued existence of crash(es).

-- Rex



Re: Lyx crash under Fedora Core 5

2006-04-12 Thread Rex Dieter
Jose' Matos wrote:

> On Monday 10 April 2006 10:55, John Pye wrote:
>> Is this issue known about? Do I need to investigate further, or wait for
>> a patch? :-)
> 
>   Yes, one temporary shortcut is to disable the display of images inside
>   lyx.
> 
> Preferences->Graphics->Display Graphics->Do not display
> 
>   Testing what it will become 1.4.1 (expect soon, like this week) does not
> show the problem. :-)

lyx-1.4.1 has been pushed to Fedora Extras.  Please upgrade, and
confirm/deny the continued existence of crash(es).

-- Rex



Re: lyx 1.4.0 linking problem (missing /usr/lib/libltdl.la)

2006-03-16 Thread Rex Dieter

Jernej Barbic wrote:

On my Red Hat Linux 9.0 system, lyx 1.4.0 manages to compile, but not link
(see below). The missing /usr/lib/libltdl.la file doesn't exist on my
system.  Any ideas on how to fix this are very welcome.


Install the libtool rpm.

-- Rex



Re: lyx 1.4.0 linking problem (missing /usr/lib/libltdl.la)

2006-03-16 Thread Rex Dieter

Jernej Barbic wrote:

On my Red Hat Linux 9.0 system, lyx 1.4.0 manages to compile, but not link
(see below). The missing /usr/lib/libltdl.la file doesn't exist on my
system.  Any ideas on how to fix this are very welcome.


Install the libtool rpm.

-- Rex



Re: lyx 1.4.0 linking problem (missing /usr/lib/libltdl.la)

2006-03-16 Thread Rex Dieter

Jernej Barbic wrote:

On my Red Hat Linux 9.0 system, lyx 1.4.0 manages to compile, but not link
(see below). The missing /usr/lib/libltdl.la file doesn't exist on my
system.  Any ideas on how to fix this are very welcome.


Install the libtool rpm.

-- Rex



Re: FYI: Lyx recently added to Fedora Core 4 Extras

2006-03-14 Thread Rex Dieter

Todd Denniston wrote:

John Pye wrote:


In case people hadn't noticed, Lyx 1.4 was recently added to the Fedora
Core 4 Extras repository. So, if you are running on Fedora Core 4, you
can easily update to the latest Lyx using 'yum update', provided you
have your repositories set up correctly.

Further info here:
http://fedoraproject.org/wiki/Extras/UsingExtras


You wouldn't happen to know how to 'pin' a yum/FC package at a 
particular rev would you?


yum --exclude=lyx*

-- Rex



Re: FYI: Lyx recently added to Fedora Core 4 Extras

2006-03-14 Thread Rex Dieter

Todd Denniston wrote:

John Pye wrote:


In case people hadn't noticed, Lyx 1.4 was recently added to the Fedora
Core 4 Extras repository. So, if you are running on Fedora Core 4, you
can easily update to the latest Lyx using 'yum update', provided you
have your repositories set up correctly.

Further info here:
http://fedoraproject.org/wiki/Extras/UsingExtras


You wouldn't happen to know how to 'pin' a yum/FC package at a 
particular rev would you?


yum --exclude=lyx*

-- Rex



Re: FYI: Lyx recently added to Fedora Core 4 Extras

2006-03-14 Thread Rex Dieter

Todd Denniston wrote:

John Pye wrote:


In case people hadn't noticed, Lyx 1.4 was recently added to the Fedora
Core 4 Extras repository. So, if you are running on Fedora Core 4, you
can easily update to the latest Lyx using 'yum update', provided you
have your repositories set up correctly.

Further info here:
http://fedoraproject.org/wiki/Extras/UsingExtras


You wouldn't happen to know how to 'pin' a yum/FC package at a 
particular rev would you?


yum --exclude=lyx*

-- Rex



Re: Lyx 1.4.0-1 and FC4 installation

2006-03-13 Thread Rex Dieter

Stephen Harris wrote:


I use rpmfind for instance with Google, I put
libAiksaurus and rpmfind in the search window and get
http://rpmfind.net/linux/RPM/fedora/devel/i386/aiksaurus-1.2.1-13.i386.html


FYI, One probably shouldn't be installing fedora-devel pkgs on fc4, 
unless you *really* know what you're doing.


-- Rex



Re: Lyx 1.4.0-1 and FC4 installation

2006-03-13 Thread Rex Dieter
FYI, I pushed lyx-1.4.0-4 to Fedora Extras/4 today.  Should be appearing 
soon in repo/mirror near you.


-- Rex



Re: Lyx 1.4.0-1 and FC4 installation

2006-03-13 Thread Rex Dieter

Stephen Harris wrote:


I use rpmfind for instance with Google, I put
libAiksaurus and rpmfind in the search window and get
http://rpmfind.net/linux/RPM/fedora/devel/i386/aiksaurus-1.2.1-13.i386.html


FYI, One probably shouldn't be installing fedora-devel pkgs on fc4, 
unless you *really* know what you're doing.


-- Rex



Re: Lyx 1.4.0-1 and FC4 installation

2006-03-13 Thread Rex Dieter
FYI, I pushed lyx-1.4.0-4 to Fedora Extras/4 today.  Should be appearing 
soon in repo/mirror near you.


-- Rex



Re: Lyx 1.4.0-1 and FC4 installation

2006-03-13 Thread Rex Dieter

Stephen Harris wrote:


I use rpmfind for instance with Google, I put
libAiksaurus and rpmfind in the search window and get
http://rpmfind.net/linux/RPM/fedora/devel/i386/aiksaurus-1.2.1-13.i386.html


FYI, One probably shouldn't be installing fedora-devel pkgs on fc4, 
unless you *really* know what you're doing.


-- Rex



Re: Lyx 1.4.0-1 and FC4 installation

2006-03-13 Thread Rex Dieter
FYI, I pushed lyx-1.4.0-4 to Fedora Extras/4 today.  Should be appearing 
soon in repo/mirror near you.


-- Rex



Re: xforms needed question

2006-02-17 Thread Rex Dieter

Tom Poe wrote:
I checked for xforms download, and ran into problems trying to locate 
the proper file.  The Redhat link for rpm, for example, gave me an error 
message that it couldn't change ftp directory.  Does anyone know where I 
can download Xforms files?  Or, should I try to use QT, and follow the 
INSTALL directions?  I'm using the Gnome GUI, not the KDE GUI.

Here's message when I tried to install 1.3.7 on FC4:


FYI, xforms, lyx-1.3.7 (with lyx-qt and lyx-xforms) are available from 
Fedora Extras.


-- Rex



Re: xforms needed question

2006-02-17 Thread Rex Dieter

Tom Poe wrote:
I checked for xforms download, and ran into problems trying to locate 
the proper file.  The Redhat link for rpm, for example, gave me an error 
message that it couldn't change ftp directory.  Does anyone know where I 
can download Xforms files?  Or, should I try to use QT, and follow the 
INSTALL directions?  I'm using the Gnome GUI, not the KDE GUI.

Here's message when I tried to install 1.3.7 on FC4:


FYI, xforms, lyx-1.3.7 (with lyx-qt and lyx-xforms) are available from 
Fedora Extras.


-- Rex



Re: xforms needed question

2006-02-17 Thread Rex Dieter

Tom Poe wrote:
I checked for xforms download, and ran into problems trying to locate 
the proper file.  The Redhat link for rpm, for example, gave me an error 
message that it couldn't change ftp directory.  Does anyone know where I 
can download Xforms files?  Or, should I try to use QT, and follow the 
INSTALL directions?  I'm using the Gnome GUI, not the KDE GUI.

Here's message when I tried to install 1.3.7 on FC4:


FYI, xforms, lyx-1.3.7 (with lyx-qt and lyx-xforms) are available from 
Fedora Extras.


-- Rex



Re: lyx-1.4.0pre3 compile

2006-01-25 Thread Rex Dieter

B.J. Muirhead wrote:

Hi
I have compiled (using frontend and the suffix option, so no
problems there) and installed lyx-1.4.opre3 on an up to date ubuntu
system (using checkinstall in place of make install) but it didn't find
the aiksaurus library. 
does anyone know if  
--with -extra-lib=dir to aiksaurus

   will fix this?


Why not simply try it and find out?  (-:

-- Rex



Re: lyx-1.4.0pre3 compile

2006-01-25 Thread Rex Dieter

B.J. Muirhead wrote:

Hi
I have compiled (using frontend and the suffix option, so no
problems there) and installed lyx-1.4.opre3 on an up to date ubuntu
system (using checkinstall in place of make install) but it didn't find
the aiksaurus library. 
does anyone know if  
--with -extra-lib=dir to aiksaurus

   will fix this?


Why not simply try it and find out?  (-:

-- Rex



Re: lyx-1.4.0pre3 compile

2006-01-25 Thread Rex Dieter

B.J. Muirhead wrote:

Hi
I have compiled (using frontend and the suffix option, so no
problems there) and installed lyx-1.4.opre3 on an up to date ubuntu
system (using checkinstall in place of make install) but it didn't find
the aiksaurus library. 
does anyone know if  
--with -extra-lib=

   will fix this?


Why not simply try it and find out?  (-:

-- Rex



Re: Math fonts and Ubuntu

2005-10-18 Thread Rex Dieter

Joao B. Oliveira wrote:


I am using Ubuntu (both 5.4 and 5.10) and several cm fonts are not
found by LyX, and I get messages like this:

Could not get font '-tex-cmr10-medium-r-normal--15-0-0-0-p-0-fontspecific-0'.
Using 'fixed'.


http://wiki.lyx.org/FAQ/Qt

-- Rex



Re: Math fonts and Ubuntu

2005-10-18 Thread Rex Dieter

Joao B. Oliveira wrote:


I am using Ubuntu (both 5.4 and 5.10) and several cm fonts are not
found by LyX, and I get messages like this:

Could not get font '-tex-cmr10-medium-r-normal--15-0-0-0-p-0-fontspecific-0'.
Using 'fixed'.


http://wiki.lyx.org/FAQ/Qt

-- Rex



Re: Math fonts and Ubuntu

2005-10-18 Thread Rex Dieter

Joao B. Oliveira wrote:


I am using Ubuntu (both 5.4 and 5.10) and several cm fonts are not
found by LyX, and I get messages like this:

Could not get font '-tex-cmr10-medium-r-normal--15-0-0-0-p-0-fontspecific-0'.
Using 'fixed'.


http://wiki.lyx.org/FAQ/Qt

-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-17 Thread Rex Dieter

Paul Smith wrote:

On 9/15/05, Rex Dieter [EMAIL PROTECTED] wrote:



OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter rexdieter[AT]users.sf.net 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)



Will mathml-fonts-1.0-18 be available for all Fedora Cores (FC1, FC2,
FC3 and FC4)?


Officially on only what Fedora Extras supports, ie, currently FC3, FC4, 
devel/rawhide.  However, nothing in the package ties it to a particular 
release, so the FC3/FC4 package(s) can be used/installed on previous 
releases too.


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-17 Thread Rex Dieter

Paul Smith wrote:

On 9/17/05, Rex Dieter [EMAIL PROTECTED] wrote:


OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter rexdieter[AT]users.sf.net 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)



Will mathml-fonts-1.0-18 be available for all Fedora Cores (FC1, FC2,
FC3 and FC4)?


Officially on only what Fedora Extras supports, ie, currently FC3, FC4,
devel/rawhide.  However, nothing in the package ties it to a particular
release, so the FC3/FC4 package(s) can be used/installed on previous
releases too.



Thanks, Rex. As soon as mathml-fonts-1.0-18 becomes available, I will
update the Wiki.


FYI, it's available now (and was within hours of my original notice to 
this list).


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-17 Thread Rex Dieter

Paul Smith wrote:

On 9/15/05, Rex Dieter [EMAIL PROTECTED] wrote:



OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter rexdieter[AT]users.sf.net 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)



Will mathml-fonts-1.0-18 be available for all Fedora Cores (FC1, FC2,
FC3 and FC4)?


Officially on only what Fedora Extras supports, ie, currently FC3, FC4, 
devel/rawhide.  However, nothing in the package ties it to a particular 
release, so the FC3/FC4 package(s) can be used/installed on previous 
releases too.


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-17 Thread Rex Dieter

Paul Smith wrote:

On 9/17/05, Rex Dieter [EMAIL PROTECTED] wrote:


OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter rexdieter[AT]users.sf.net 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)



Will mathml-fonts-1.0-18 be available for all Fedora Cores (FC1, FC2,
FC3 and FC4)?


Officially on only what Fedora Extras supports, ie, currently FC3, FC4,
devel/rawhide.  However, nothing in the package ties it to a particular
release, so the FC3/FC4 package(s) can be used/installed on previous
releases too.



Thanks, Rex. As soon as mathml-fonts-1.0-18 becomes available, I will
update the Wiki.


FYI, it's available now (and was within hours of my original notice to 
this list).


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-17 Thread Rex Dieter

Paul Smith wrote:

On 9/15/05, Rex Dieter <[EMAIL PROTECTED]> wrote:



OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)



Will mathml-fonts-1.0-18 be available for all Fedora Cores (FC1, FC2,
FC3 and FC4)?


Officially on only what Fedora Extras supports, ie, currently FC3, FC4, 
devel/rawhide.  However, nothing in the package ties it to a particular 
release, so the FC3/FC4 package(s) can be used/installed on previous 
releases too.


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-17 Thread Rex Dieter

Paul Smith wrote:

On 9/17/05, Rex Dieter <[EMAIL PROTECTED]> wrote:


OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)



Will mathml-fonts-1.0-18 be available for all Fedora Cores (FC1, FC2,
FC3 and FC4)?


Officially on only what Fedora Extras supports, ie, currently FC3, FC4,
devel/rawhide.  However, nothing in the package ties it to a particular
release, so the FC3/FC4 package(s) can be used/installed on previous
releases too.



Thanks, Rex. As soon as mathml-fonts-1.0-18 becomes available, I will
update the Wiki.


FYI, it's available now (and was within hours of my original notice to 
this list).


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Paul Johnson wrote:



Recently, Stephen Harris asked if the mathml-fonts package conflicts 
or duplicates my latex-bakoma4lyx-fonts package and I decided to check 
it out.  I downloaded the source code for the FC Extras package 
mathml-fonts that was prepared by Rex Dieter. The package is very well 
designed and the spec file is well documented.


...

For my Fedora Linux systems I prepared just such a collection, using 
Rex's framework and making only the minimal changes to insert the 
bakoma4lyx fonts and tighten up packaging.  I inserted the bakoma4lyx 
Readme.txt documentation to acknowledge the fine effort of the bakoma 
authors.  In case you want, you can install it


http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.noarch.rpm 

http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.src.rpm 



Warning: I inserted provisions here so that, when  you install this, 
it Obsoletes latex-xft-fonts, latex-bakoma4lyx-fonts, and mathml-fonts
and it lets the RPM system know it provides all functionality of 
mathml-fonts package. So LyX installs/upgrades from FedoraExtras 
will be fine.


Paul, I would have much rather you had directly contributed to making 
the mathml-fonts package in Extras better by submitting this to Fedora 
Extras' bugzilla and not Obsoletes: mathml-fonts.


Nevertheless, I'll take a look at your improvements and incorporate them 
into the next iteration of mathml-fonts.


-- Rex


Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Paul Johnson wrote:


Hello, font needing LyX users of Fedora Core Linux:

Recently, I offered an RPM containing the bakoma4lyx fonts, a subset 
of bakoma that was made available with permission of the author. That 
package is


Is there any reference or links to these bakoma4lyx fonts?   
http://wiki.lyx.org/LyX/Troubleshooting still points to latex-xft-fonts, 
or should the wiki page simply be updated?


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Rex Dieter wrote:

Paul Johnson wrote:


For my Fedora Linux systems I prepared just such a collection, using 
Rex's framework and making only the minimal changes to insert the 
bakoma4lyx fonts and tighten up packaging.  I inserted the bakoma4lyx 
Readme.txt documentation to acknowledge the fine effort of the bakoma 
authors.  In case you want, you can install it


http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.src.rpm 


Nevertheless, I'll take a look at your improvements and incorporate them 
into the next iteration of mathml-fonts.


OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter rexdieter[AT]users.sf.net 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)

-- Rex


Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Paul Johnson wrote:



Recently, Stephen Harris asked if the mathml-fonts package conflicts 
or duplicates my latex-bakoma4lyx-fonts package and I decided to check 
it out.  I downloaded the source code for the FC Extras package 
mathml-fonts that was prepared by Rex Dieter. The package is very well 
designed and the spec file is well documented.


...

For my Fedora Linux systems I prepared just such a collection, using 
Rex's framework and making only the minimal changes to insert the 
bakoma4lyx fonts and tighten up packaging.  I inserted the bakoma4lyx 
Readme.txt documentation to acknowledge the fine effort of the bakoma 
authors.  In case you want, you can install it


http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.noarch.rpm 

http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.src.rpm 



Warning: I inserted provisions here so that, when  you install this, 
it Obsoletes latex-xft-fonts, latex-bakoma4lyx-fonts, and mathml-fonts
and it lets the RPM system know it provides all functionality of 
mathml-fonts package. So LyX installs/upgrades from FedoraExtras 
will be fine.


Paul, I would have much rather you had directly contributed to making 
the mathml-fonts package in Extras better by submitting this to Fedora 
Extras' bugzilla and not Obsoletes: mathml-fonts.


Nevertheless, I'll take a look at your improvements and incorporate them 
into the next iteration of mathml-fonts.


-- Rex


Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Paul Johnson wrote:


Hello, font needing LyX users of Fedora Core Linux:

Recently, I offered an RPM containing the bakoma4lyx fonts, a subset 
of bakoma that was made available with permission of the author. That 
package is


Is there any reference or links to these bakoma4lyx fonts?   
http://wiki.lyx.org/LyX/Troubleshooting still points to latex-xft-fonts, 
or should the wiki page simply be updated?


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Rex Dieter wrote:

Paul Johnson wrote:


For my Fedora Linux systems I prepared just such a collection, using 
Rex's framework and making only the minimal changes to insert the 
bakoma4lyx fonts and tighten up packaging.  I inserted the bakoma4lyx 
Readme.txt documentation to acknowledge the fine effort of the bakoma 
authors.  In case you want, you can install it


http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.src.rpm 


Nevertheless, I'll take a look at your improvements and incorporate them 
into the next iteration of mathml-fonts.


OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter rexdieter[AT]users.sf.net 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)

-- Rex


Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Paul Johnson wrote:



Recently, Stephen Harris asked if the mathml-fonts package conflicts 
or duplicates my latex-bakoma4lyx-fonts package and I decided to check 
it out.  I downloaded the source code for the FC Extras package 
mathml-fonts that was prepared by Rex Dieter. The package is very well 
designed and the spec file is well documented.


...

For my Fedora Linux systems I prepared just such a collection, using 
Rex's framework and making only the minimal changes to insert the 
bakoma4lyx fonts and tighten up packaging.  I inserted the bakoma4lyx 
Readme.txt documentation to acknowledge the fine effort of the bakoma 
authors.  In case you want, you can install it


http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.noarch.rpm 

http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.src.rpm 



Warning: I inserted provisions here so that, when  you install this, 
it Obsoletes latex-xft-fonts, latex-bakoma4lyx-fonts, and mathml-fonts
and it lets the RPM system know it provides all functionality of 
"mathml-fonts" package. So LyX installs/upgrades from FedoraExtras 
will be fine.


Paul, I would have much rather you had directly contributed to making 
the mathml-fonts package in Extras better by submitting this to Fedora 
Extras' bugzilla and not Obsoletes: mathml-fonts.


Nevertheless, I'll take a look at your improvements and incorporate them 
into the next iteration of mathml-fonts.


-- Rex


Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Paul Johnson wrote:


Hello, font needing LyX users of Fedora Core Linux:

Recently, I offered an RPM containing the bakoma4lyx fonts, a subset 
of bakoma that was made available with permission of the author. That 
package is


Is there any reference or links to these bakoma4lyx fonts?   
http://wiki.lyx.org/LyX/Troubleshooting still points to latex-xft-fonts, 
or should the wiki page simply be updated?


-- Rex



Re: Fedora Core mathml-bakoma4lyx and mathml-fonts packages

2005-09-15 Thread Rex Dieter

Rex Dieter wrote:

Paul Johnson wrote:


For my Fedora Linux systems I prepared just such a collection, using 
Rex's framework and making only the minimal changes to insert the 
bakoma4lyx fonts and tighten up packaging.  I inserted the bakoma4lyx 
Readme.txt documentation to acknowledge the fine effort of the bakoma 
authors.  In case you want, you can install it


http://lark.cc.ku.edu/~pauljohn/software/PolsFC4Updates/mathml-bakoma4lyx-fonts-2.0-1.src.rpm 


Nevertheless, I'll take a look at your improvements and incorporate them 
into the next iteration of mathml-fonts.


OK, mathml-fonts-1.0-18 has been released (or will be real-soon-now).

%changelog
* Thu Sep 15 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-18
- replace latex-xft-fonts with bakoma4lyx
- remove non-distributable Math'ca fonts (#168405)

-- Rex


Re: Problems installing 1.3.6-1 RPMs

2005-09-14 Thread Rex Dieter

Stephen Harris wrote:


- Original Message - From: Rex Dieter [EMAIL PROTECTED]


I didn't follow the whole thread, but if it hadn't already been 
pointed out, you used the wrong rpms.  lyx and mathml-fonts are both 
in Fedora Extras.  Either manually download them, or simply enable the 
Fedora Extras repo in /etc/yum.repos.d/fedora-extras.repo, and use:

yum install lyx
as originally suggested.



I used those rpms because they don't insist on installing tetex as a
dependency (rpms don't see non-rpms) and erasing TL tetex (2nd) and 
originally because that was all I could find. They worked just fine.


You were lucky.


Maybe the Bakoma fonts should be in extras along with math-ml fonts?


They are included *in* the mathml-fonts package.

-- Rex

p.s. No need to CC me, I'm already on the list.


Re: Problems installing 1.3.6-1 RPMs

2005-09-14 Thread Rex Dieter

Stephen Harris wrote:


- Original Message - From: Rex Dieter [EMAIL PROTECTED]


I didn't follow the whole thread, but if it hadn't already been 
pointed out, you used the wrong rpms.  lyx and mathml-fonts are both 
in Fedora Extras.  Either manually download them, or simply enable the 
Fedora Extras repo in /etc/yum.repos.d/fedora-extras.repo, and use:

yum install lyx
as originally suggested.



I used those rpms because they don't insist on installing tetex as a
dependency (rpms don't see non-rpms) and erasing TL tetex (2nd) and 
originally because that was all I could find. They worked just fine.


You were lucky.


Maybe the Bakoma fonts should be in extras along with math-ml fonts?


They are included *in* the mathml-fonts package.

-- Rex

p.s. No need to CC me, I'm already on the list.


Re: Problems installing 1.3.6-1 RPMs

2005-09-14 Thread Rex Dieter

Stephen Harris wrote:


- Original Message - From: "Rex Dieter" <[EMAIL PROTECTED]>


I didn't follow the whole thread, but if it hadn't already been 
pointed out, you used the wrong rpms.  lyx and mathml-fonts are both 
in Fedora Extras.  Either manually download them, or simply enable the 
Fedora Extras repo in /etc/yum.repos.d/fedora-extras.repo, and use:

yum install lyx
as originally suggested.



I used those rpms because they don't insist on installing tetex as a
dependency (rpms don't see non-rpms) and erasing TL tetex (2nd) and 
originally because that was all I could find. They worked just fine.


You were lucky.


Maybe the Bakoma fonts should be in extras along with math-ml fonts?


They are included *in* the mathml-fonts package.

-- Rex

p.s. No need to CC me, I'm already on the list.


Re: Problems installing 1.3.6-1 RPMs

2005-09-13 Thread Rex Dieter

Stephen P. Harris wrote:

- Original Message - From: Peter Flynn 



Is anyone out there using LyX on FC4?



I am using LyX on FC4 with no problem. The way I installed it was:

1. copied my own .lyx directory into my home directory;
2. yum install lyx.



I just finished installing LyX 1.3.6 on FC4. I used these files.

latex-xft-fonts-0.1-2.1.fc3.rf.noarch.rpm
libaiksaurus-1.2_0-1.2.1-2mdk.i586.rpm
lyx-1.3.6-1.li.noarch.rpm
lyx-qt-1.3.6-1.li.fc4.i586.rpm


I didn't follow the whole thread, but if it hadn't already been pointed 
out, you used the wrong rpms.  lyx and mathml-fonts are both in Fedora 
Extras.  Either manually download them, or simply enable the Fedora 
Extras repo in /etc/yum.repos.d/fedora-extras.repo, and use:

yum install lyx
as originally suggested.

-- Rex



Re: OT: tetex RPMs

2005-09-13 Thread Rex Dieter

Stephen P. Harris wrote:


- Original Message - From: Angus Leeming 



Stephen P. Harris wrote:


Peter Flynn is an arrogant, ignorant blowhard. I think my expression
of dissatisfaction was rather moderate. I think your moral intervention
was a day late and a dollar short and not directed at the instigator.



My apologies. I hadn't realised I was expected to read all your mails as
they arrived.



You are not when you act as a contributor to the mailing list. However,
Angus wrote:  Stephen, cool it please.


That statement is easily seen as one of moral censure. 

...

SH: That means you think I have said something inappropriate.


Sorry you took offense, but I simply read Angus' comment as meaning 
Don't feed the trolls.


-- Rex




Re: Problems installing 1.3.6-1 RPMs

2005-09-13 Thread Rex Dieter

Peter Flynn wrote:

Paul Smith wrote:


2. yum install lyx.


Aaaaggghhh! *Never*, never, never do this if you already have TeX. 
Especially not if you have already carefully removed the outdated mess 
that is the RH kludge of tetex, and replaced it with the real tetex from 
the TeX Collection DVD.


Bah, IMO, bad advice, and a borderline troll to boot.

We have many happy users of the stock lyx/tetex packages here in our 
(Math) department (though i've had to rebuild a customized tetex to 
default to US/Letter paper instead of A4).


-- Rex



Re: Problems installing 1.3.6-1 RPMs

2005-09-13 Thread Rex Dieter

Stephen P. Harris wrote:

- Original Message - From: Peter Flynn 



Is anyone out there using LyX on FC4?



I am using LyX on FC4 with no problem. The way I installed it was:

1. copied my own .lyx directory into my home directory;
2. yum install lyx.



I just finished installing LyX 1.3.6 on FC4. I used these files.

latex-xft-fonts-0.1-2.1.fc3.rf.noarch.rpm
libaiksaurus-1.2_0-1.2.1-2mdk.i586.rpm
lyx-1.3.6-1.li.noarch.rpm
lyx-qt-1.3.6-1.li.fc4.i586.rpm


I didn't follow the whole thread, but if it hadn't already been pointed 
out, you used the wrong rpms.  lyx and mathml-fonts are both in Fedora 
Extras.  Either manually download them, or simply enable the Fedora 
Extras repo in /etc/yum.repos.d/fedora-extras.repo, and use:

yum install lyx
as originally suggested.

-- Rex



Re: OT: tetex RPMs

2005-09-13 Thread Rex Dieter

Stephen P. Harris wrote:


- Original Message - From: Angus Leeming 



Stephen P. Harris wrote:


Peter Flynn is an arrogant, ignorant blowhard. I think my expression
of dissatisfaction was rather moderate. I think your moral intervention
was a day late and a dollar short and not directed at the instigator.



My apologies. I hadn't realised I was expected to read all your mails as
they arrived.



You are not when you act as a contributor to the mailing list. However,
Angus wrote:  Stephen, cool it please.


That statement is easily seen as one of moral censure. 

...

SH: That means you think I have said something inappropriate.


Sorry you took offense, but I simply read Angus' comment as meaning 
Don't feed the trolls.


-- Rex




Re: Problems installing 1.3.6-1 RPMs

2005-09-13 Thread Rex Dieter

Peter Flynn wrote:

Paul Smith wrote:


2. yum install lyx.


Aaaaggghhh! *Never*, never, never do this if you already have TeX. 
Especially not if you have already carefully removed the outdated mess 
that is the RH kludge of tetex, and replaced it with the real tetex from 
the TeX Collection DVD.


Bah, IMO, bad advice, and a borderline troll to boot.

We have many happy users of the stock lyx/tetex packages here in our 
(Math) department (though i've had to rebuild a customized tetex to 
default to US/Letter paper instead of A4).


-- Rex



Re: Problems installing 1.3.6-1 RPMs

2005-09-13 Thread Rex Dieter

Stephen P. Harris wrote:

- Original Message - From: "Peter Flynn" 



Is anyone out there using LyX on FC4?



I am using LyX on FC4 with no problem. The way I installed it was:

1. copied my own .lyx directory into my home directory;
2. yum install lyx.



I just finished installing LyX 1.3.6 on FC4. I used these files.

latex-xft-fonts-0.1-2.1.fc3.rf.noarch.rpm
libaiksaurus-1.2_0-1.2.1-2mdk.i586.rpm
lyx-1.3.6-1.li.noarch.rpm
lyx-qt-1.3.6-1.li.fc4.i586.rpm


I didn't follow the whole thread, but if it hadn't already been pointed 
out, you used the wrong rpms.  lyx and mathml-fonts are both in Fedora 
Extras.  Either manually download them, or simply enable the Fedora 
Extras repo in /etc/yum.repos.d/fedora-extras.repo, and use:

yum install lyx
as originally suggested.

-- Rex



Re: OT: tetex RPMs

2005-09-13 Thread Rex Dieter

Stephen P. Harris wrote:


- Original Message - From: "Angus Leeming" 



Stephen P. Harris wrote:


Peter Flynn is an arrogant, ignorant blowhard. I think my expression
of dissatisfaction was rather moderate. I think your moral intervention
was a day late and a dollar short and not directed at the instigator.



My apologies. I hadn't realised I was expected to read all your mails as
they arrived.



You are not when you act as a contributor to the mailing list. However,
Angus wrote: > Stephen, cool it please.


That statement is easily seen as one of moral censure. 

...

SH: That means you think I have said something inappropriate.


Sorry you took offense, but I simply read Angus' comment as meaning 
"Don't feed the trolls".


-- Rex




Re: Problems installing 1.3.6-1 RPMs

2005-09-13 Thread Rex Dieter

Peter Flynn wrote:

Paul Smith wrote:


2. yum install lyx.


Aaaaggghhh! *Never*, never, never do this if you already have TeX. 
Especially not if you have already carefully removed the outdated mess 
that is the RH kludge of tetex, and replaced it with the real tetex from 
the TeX Collection DVD.


Bah, IMO, bad advice, and a borderline troll to boot.

We have many happy users of the stock lyx/tetex packages here in our 
(Math) department (though i've had to rebuild a customized tetex to 
default to US/Letter paper instead of A4).


-- Rex



Re: How fonts work in lyx

2005-04-15 Thread Rex Dieter
Trond SAUE wrote:
 I have seen earlier postings reporting problems with deadkeys and 
 accents in lyx 1.3.5 combined with Fedora Core 3, but so far no 
 solution. 

Yep:  http://bugzilla.lyx.org/show_bug.cgi?id=1830

-- Rex



  1   2   >